Support » Plugin: WordPress Gallery Plugin - NextGEN Gallery » Upgrading Database problem from 2.0.66.29 to 2.1.15

  • Hi

    First of all thanks a lot for this great plugin!

    I tried to upgrade from 2.0.66.29 to 2.1.15 but the follow error occurred

    WordPress database error Unknown column 'slug' in 'where clause' for query SELECT DISTINCT wp_ngg_pictures.* , GROUP_CONCAT(CONCAT_WS('@@', meta_key, meta_value)) AS 'extras' FROMwp_ngg_picturesLEFT OUTER JOINwp_postmetaONwp_postmeta.post_id=extras_post_idWHERE (slug = 'chinese_notebook') AND (exclude!= 1) GROUP BY wp_ngg_pictures.pid ORDER BYsortorderASC made by require('C:\xampp\htdocs\da.dev\wp-blog-header.php'), require_once('C:\xampp\htdocs\da.dev\wp-includes\template-loader.php'), include('C:\xampp\htdocs\da.dev\wp-content\themes\dagrafio\single.php'), get_template_part, locate_template, load_template, require('C:\xampp\htdocs\da.dev\wp-content\themes\dagrafio\content-single.php'), the_content, apply_filters('the_content'), call_user_func_array, do_shortcode, preg_replace_callback, do_shortcode_tag, call_user_func, nggcss_show, nggcss, nggdb::get_gallery, C_Image_Mapper->run_query, ExtensibleObject->__call, ExtensibleObject->_exec_cached_method, ReflectionMethod->invokeArgs, C_CustomTable_DataMapper_Driver_Mixin->run_query

    The code throwing the error is the call to get_gallery

    $gallery = nggdb::get_gallery($galleryID);

    I downgrade and everything is working fine.

    Thanks in advance!

    https://wordpress.org/plugins/nextgen-gallery/

Viewing 6 replies - 1 through 6 (of 6 total)
Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Upgrading Database problem from 2.0.66.29 to 2.1.15’ is closed to new replies.